# -*- coding: utf-8 -*-
"""
Created on Wed Oct 26 12:15:26 2022

@author: Adrian
"""
import math
import matplotlib.pyplot as plt
import numpy as np

# p = [0.0, 0.04, 0.08, 0.12, 0.16, 0.2]


# names = ['Plain', 'A', 'B', 'AC', 'BD', 'BC', 'ABC', 'BCD', 'ABD', 'ACD', 'ACE', 'BDF']

      

# for i in range(len(p)):

#     # Plain

#     f_plain = (1-p[i])**6
    
#     # A
    
#     f_A = 3 * p[i] * (1-p[i])**5

#     # B
    
#     f_B = f_A
    
#     # AC

#     f_AC = 3 * p[i]**2 * (1-p[i])**4
    
#     # BC
    
#     f_BC = 6 * p[i]**2 * (1-p[i])**4

#     # BD

#     f_BD = f_AC
    
#     # ABC
     
#     f_ABC = 3 * p[i]**3 * (1-p[i])**3
    
#     # BCD
    
#     f_BCD = f_ABC
    
#     # ABD
    
#     f_ABD = 6 * p[i]**3 * (1-p[i])**3

#     # ACD

#     f_ACD = f_ABD 
    
#     # ACE, BDF
    
#     f_ACE = p[i]**3 * (1-p[i])**3
    
#     f_BDF = f_ACE
    
#     values = [f_plain, f_A, f_B, f_AC, f_BD, f_BC, f_ABC, f_BCD, f_ABD, f_ACD, f_ACE, f_BDF]   
    
    
#     fig = plt.figure()
    
#     plt.bar(names, values, label = 'Total: '+str(round(sum(values),2)) + '\nActive: '+str(round(sum([f_A, f_AC, f_BC, f_ABC, f_BCD, f_ABD, f_ACD]),2)), color = 'r')    
#     plt.title('Local structure distribution Ru$_{'+ str(1-p[i]) +'}$Ni$_{' + str(p[i]) + '}$O$_2$')
#     plt.ylabel('Probability of local structure', fontsize = 14)
#     plt.legend()
    
#     fig.savefig('./workingdirectory/barplot'+str(i)+'.png')
    
    
    
    
    
    
    
# Modelling Ni content <5 percent. RuNiO2

# Probability of cluster in surface

#n = 6 # number of surface atoms
#n_cluster = 3 # cluster size
#n_cell = n * 4 # number of cell atoms

#x = 0.03 # Nickel fraction

#f = (n_cell / n_cluster) * x # factor between x and ni fraction in a populated cell


# External model written in RuO2-Cl / doped-RuO2 / localarrangement /

# Model 1: clusters of 3, a cluster does not grow along y-axis (along bridge)

dataX = np.array((0.02,0.05,0.08,0.1,0.12,0.15,0.2))
#dataY = np.array((0.0259,0.097,0.1556,0.18,0.1956,0.2496,0.2911))    
    
    
clusterData = np.load('3clusterdata.npy')
dataY = np.mean(clusterData,axis=1)
stdY = np.std(clusterData,axis=1)
print(np.shape(dataY))
print(stdY)
    
planeData = np.load('planeData.npy')
print(np.shape(planeData))

plt.figure()
plt.scatter(dataX, dataY, label = '3-atom clusters')
plt.errorbar(dataX,dataY,yerr=stdY,fmt='o')

plt.scatter(planeData[:,0], planeData[:,1],label = '(121) plane clustering')
#plt.figure('Active site density')
plt.xlabel('Molar fraction of Ni')
plt.ylabel('LOER active site density')
plt.legend(loc=2)
plt.savefig('./workingdirectory/LOERsitedensity.png')
    
    
    
    
    
    
    
    
    
    
    
    
    